Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.svg.font
Class FOPGVTGlyphVector

    java.lang.Object
      org.apache.fop.svg.font.FOPGVTGlyphVector

All Implemented Interfaces:
  org.apache.batik.gvt.font.GVTGlyphVector

    public class FOPGVTGlyphVector

extends java.lang.Object
implements org.apache.batik.gvt.font.GVTGlyphVector

Field Summary
`protected java.util.List` | `associations`
`protected java.awt.geom.Rectangle2D[]` | `boundingBoxes`
`protected FOPGVTFont` | `font`
`protected int[]` | `glyphs`
`protected java.awt.geom.AffineTransform[]` | `glyphTransforms`
`protected boolean[]` | `glyphVisibilities`
`protected int[][]` | `gposAdjustments`
`protected java.awt.geom.Rectangle2D` | `logicalBounds`
`protected java.awt.geom.GeneralPath` | `outline`
`protected float[]` | `positions`
`protected TextFragment` | `text`

Method Summary
`void` | `draw(java.awt.Graphics2D graphics2d, java.text.AttributedCharacterIterator aci)`
`java.awt.geom.Rectangle2D` | `getBounds2D(java.text.AttributedCharacterIterator aci)`
`int` | `getCharacterCount(int startGlyphIndex, int endGlyphIndex)`
`org.apache.batik.gvt.font.GVTFont` | `getFont()`
`java.awt.font.FontRenderContext` | `getFontRenderContext()`
`java.awt.geom.Rectangle2D` | `getGeometricBounds()`
`java.awt.geom.Rectangle2D` | `getGlyphCellBounds(int glyphIndex)`
`int` | `getGlyphCode(int glyphIndex)`
`int[]` | `getGlyphCodes(int beginGlyphIndex, int numEntries, int[] codeReturn)`
`java.awt.font.GlyphJustificationInfo` | `getGlyphJustificationInfo(int glyphIndex)`
`java.awt.Shape` | `getGlyphLogicalBounds(int glyphIndex)`
`org.apache.batik.gvt.font.GVTGlyphMetrics` | `getGlyphMetrics(int glyphIndex)`
`java.awt.Shape` | `getGlyphOutline(int glyphIndex)`
`java.awt.geom.Point2D` | `getGlyphPosition(int glyphIndex)`
`int[][]` | `getGlyphPositionAdjustments()`
`float[]` | `getGlyphPositions(int beginGlyphIndex, int numEntries, float[] positionReturn)`
`java.awt.geom.AffineTransform` | `getGlyphTransform(int glyphIndex)`
`java.awt.Shape` | `getGlyphVisualBounds(int glyphIndex)`
`java.awt.geom.Rectangle2D` | `getLogicalBounds()`
`int` | `getNumGlyphs()`
`java.awt.Shape` | `getOutline()`
`java.awt.Shape` | `getOutline(float x, float y)`
`boolean` | `isGlyphVisible(int glyphIndex)`
`boolean` | `isReversed()`
`void` | `maybeReverse(boolean mirror)`
`void` | `performDefaultLayout()`
`void` | `setGlyphCode(int glyphIndex, int glyphCode)`
`void` | `setGlyphPosition(int glyphIndex, java.awt.geom.Point2D newPos)`
`void` | `setGlyphTransform(int glyphIndex, java.awt.geom.AffineTransform newTX)`
`void` | `setGlyphVisible(int glyphIndex, boolean visible)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### text

    protected final TextFragment text

### font

    protected final FOPGVTFont font

### glyphs

    protected int[] glyphs

### associations

    protected java.util.List associations

### gposAdjustments

    protected int[][] gposAdjustments

### positions

    protected float[] positions

### boundingBoxes

    protected java.awt.geom.Rectangle2D[] boundingBoxes

### outline

    protected java.awt.geom.GeneralPath outline

### glyphTransforms

    protected java.awt.geom.AffineTransform[] glyphTransforms

### glyphVisibilities

    protected boolean[] glyphVisibilities

### logicalBounds

    protected java.awt.geom.Rectangle2D logicalBounds

Method Detail

### performDefaultLayout

    public void performDefaultLayout()

  Specified by:
    `performDefaultLayout` in interface `org.apache.batik.gvt.font.GVTGlyphVector`

### getFont

    public org.apache.batik.gvt.font.GVTFont getFont()

  Specified by:
    `getFont` in interface `org.apache.batik.gvt.font.GVTGlyphVector`

### getFontRenderContext

    public java.awt.font.FontRenderContext getFontRenderContext()

  Specified by:
    `getFontRenderContext` in interface `org.apache.batik.gvt.font.GVTGlyphVector`

### setGlyphCode

    public void setGlyphCode(int glyphIndex,
                             int glyphCode)

### getGlyphCode

    public int getGlyphCode(int glyphIndex)

  Specified by:
    `getGlyphCode` in interface `org.apache.batik.gvt.font.GVTGlyphVector`

### getGlyphCodes

    public int[] getGlyphCodes(int beginGlyphIndex,
                               int numEntries,
                               int[] codeReturn)

  Specified by:
    `getGlyphCodes` in interface `org.apache.batik.gvt.font.GVTGlyphVector`

### getGlyphJustificationInfo

    public java.awt.font.GlyphJustificationInfo getGlyphJustificationInfo(int glyphIndex)

  Specified by:
    `getGlyphJustificationInfo` in interface `org.apache.batik.gvt.font.GVTGlyphVector`

### getGlyphLogicalBounds

    public java.awt.Shape getGlyphLogicalBounds(int glyphIndex)

  Specified by:
    `getGlyphLogicalBounds` in interface `org.apache.batik.gvt.font.GVTGlyphVector`

### getGlyphMetrics

    public org.apache.batik.gvt.font.GVTGlyphMetrics getGlyphMetrics(int glyphIndex)

  Specified by:
    `getGlyphMetrics` in interface `org.apache.batik.gvt.font.GVTGlyphVector`

### getGlyphOutline

    public java.awt.Shape getGlyphOutline(int glyphIndex)

  Specified by:
    `getGlyphOutline` in interface `org.apache.batik.gvt.font.GVTGlyphVector`

### getGlyphCellBounds

    public java.awt.geom.Rectangle2D getGlyphCellBounds(int glyphIndex)

  Specified by:
    `getGlyphCellBounds` in interface `org.apache.batik.gvt.font.GVTGlyphVector`

### getGlyphPositionAdjustments

    public int[][] getGlyphPositionAdjustments()

### getGlyphPosition

    public java.awt.geom.Point2D getGlyphPosition(int glyphIndex)

  Specified by:
    `getGlyphPosition` in interface `org.apache.batik.gvt.font.GVTGlyphVector`

### getGlyphPositions

    public float[] getGlyphPositions(int beginGlyphIndex,
                                     int numEntries,
                                     float[] positionReturn)

  Specified by:
    `getGlyphPositions` in interface `org.apache.batik.gvt.font.GVTGlyphVector`

### getGlyphTransform

    public java.awt.geom.AffineTransform getGlyphTransform(int glyphIndex)

  Specified by:
    `getGlyphTransform` in interface `org.apache.batik.gvt.font.GVTGlyphVector`

### getGlyphVisualBounds

    public java.awt.Shape getGlyphVisualBounds(int glyphIndex)

  Specified by:
    `getGlyphVisualBounds` in interface `org.apache.batik.gvt.font.GVTGlyphVector`

### getLogicalBounds

    public java.awt.geom.Rectangle2D getLogicalBounds()

  Specified by:
    `getLogicalBounds` in interface `org.apache.batik.gvt.font.GVTGlyphVector`

### getNumGlyphs

    public int getNumGlyphs()

  Specified by:
    `getNumGlyphs` in interface `org.apache.batik.gvt.font.GVTGlyphVector`

### getOutline

    public java.awt.Shape getOutline()

  Specified by:
    `getOutline` in interface `org.apache.batik.gvt.font.GVTGlyphVector`

### getOutline

    public java.awt.Shape getOutline(float x,
                                     float y)

  Specified by:
    `getOutline` in interface `org.apache.batik.gvt.font.GVTGlyphVector`

### getGeometricBounds

    public java.awt.geom.Rectangle2D getGeometricBounds()

  Specified by:
    `getGeometricBounds` in interface `org.apache.batik.gvt.font.GVTGlyphVector`

### getBounds2D

    public java.awt.geom.Rectangle2D getBounds2D(java.text.AttributedCharacterIterator aci)

  Specified by:
    `getBounds2D` in interface `org.apache.batik.gvt.font.GVTGlyphVector`

### setGlyphPosition

    public void setGlyphPosition(int glyphIndex,
                                 java.awt.geom.Point2D newPos)

  Specified by:
    `setGlyphPosition` in interface `org.apache.batik.gvt.font.GVTGlyphVector`

### setGlyphTransform

    public void setGlyphTransform(int glyphIndex,
                                  java.awt.geom.AffineTransform newTX)

  Specified by:
    `setGlyphTransform` in interface `org.apache.batik.gvt.font.GVTGlyphVector`

### setGlyphVisible

    public void setGlyphVisible(int glyphIndex,
                                boolean visible)

  Specified by:
    `setGlyphVisible` in interface `org.apache.batik.gvt.font.GVTGlyphVector`

### isGlyphVisible

    public boolean isGlyphVisible(int glyphIndex)

  Specified by:
    `isGlyphVisible` in interface `org.apache.batik.gvt.font.GVTGlyphVector`

### getCharacterCount

    public int getCharacterCount(int startGlyphIndex,
                                 int endGlyphIndex)

  Specified by:
    `getCharacterCount` in interface `org.apache.batik.gvt.font.GVTGlyphVector`

### isReversed

    public boolean isReversed()

  Specified by:
    `isReversed` in interface `org.apache.batik.gvt.font.GVTGlyphVector`

### maybeReverse

    public void maybeReverse(boolean mirror)

  Specified by:
    `maybeReverse` in interface `org.apache.batik.gvt.font.GVTGlyphVector`

### draw

    public void draw(java.awt.Graphics2D graphics2d,
                     java.text.AttributedCharacterIterator aci)

  Specified by:
    `draw` in interface `org.apache.batik.gvt.font.GVTGlyphVector`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2015 The Apache Software Foundation. All Rights Reserved.